
obj
	PlaySong
		name = "Play Song"
		icon = 'icon.dmi'
		icon_state = "PlaySong"
		pixel_x = 1
		var/image/Face

		New()
			..()
			Face = new(icon, loc, "PlaySong_on")
			Face.pixel_x = 1

		Click()
			if(usr.Song && usr.Paused)
				usr.Paused = 0
				usr << Face
				usr.client.images -= PauseSong.Face
				usr.Song.status = 16
				usr << usr.Song
				return
			var/song = input("Select a song to play", "Play Song") as sound | null
			if(song)
				var/ext = copytext("[song]", length("[song]")-5)
				var/dot = findtext(ext, ".")
				if(dot) ext = copytext(ext, dot+1)
				usr << sound()
				usr.Song = sound(song,usr.Repeat,,,usr.Volume)
				usr.Song.channel = 1
			else return
			usr.Song.status = 16
			if(usr.Muted)
				usr.Song.status = 18
			if(usr.Repeat)
				usr.Song.repeat = 1
			if(usr.Paused)
				usr.Paused = 0
				usr.client.images -= PauseSong.Face
			usr << usr.Song
			usr << Face

	StopSong
		name = "Stop Song"
		icon = 'icon.dmi'
		icon_state = "StopSong"
		pixel_x = -1
		var/image/Face

		New()
			..()
			Face = new(icon, loc, "StopSong_on")
			Face.pixel_x = -1

		Click()
			if(usr.Song) del(usr.Song)
			usr << sound()
			usr << Face
			spawn(3)
				usr.client.images -= Face
			usr.Paused = 0
			usr.client.images -= PlaySong.Face
			usr.client.images -= PauseSong.Face

	PauseSong
		name = "Pause Song"
		icon = 'icon.dmi'
		icon_state = "PauseSong"
		pixel_x = 16
		var/image/Face

		New()
			..()
			Face = new(icon, loc, "PauseSong_on")
			Face.pixel_x = 16

		Click()
			if(!usr.Paused)
				usr.Paused = 1
				usr << Face
				if(usr.Song)
					usr.client.images -= PlaySong.Face
					usr.Song.status = 18
					usr << usr.Song
			else
				usr.Paused = 0
				usr.client.images -= Face
				if(usr.Song)
					usr.client.images += PlaySong.Face
					usr.Song.status = 16
					usr << usr.Song

	RepeatSong
		name = "Repeat Song"
		icon = 'icon.dmi'
		icon_state = "RepeatSong"
		pixel_x = 13
		var/image/Face

		New()
			..()
			Face = new(icon, loc, "RepeatSong_on",15)
			Face.pixel_x = 13

		Click()
			if(!usr.Repeat)
				usr << Face
				usr.Repeat = 1
				if(usr.Song)
					usr.Song.repeat = 1
					if(!usr.Muted && !usr.Paused)
						usr << usr.Song
			else
				usr.client.images -= Face
				usr.Repeat = 0
				if(usr.Song)
					usr.Song.repeat = 0
					if(!usr.Muted && !usr.Paused)
						usr << usr.Song
			spawn() usr.SaveSettings()

	Mute
		name = "Mute"
		icon = 'icon.dmi'
		icon_state = "Unmute"
		pixel_x = 0
		var/image/Face

		New()
			..()
			spawn(2)
				Face = new(icon, loc, "Mute")

		Click()
			if(!usr.Muted)
				usr.Muted = 1
				usr << Face
				if(usr.Song)
					usr.Song.status = 17
					usr << usr.Song
			else
				usr.Muted = 0
				usr.client.images -= Face
				if(usr.Song)
					usr.Song.status = 16
					usr << usr.Song
			spawn() usr.SaveSettings()

	Vol
		name = "Volume"
		icon = 'icon.dmi'
		icon_state = "vol1"
		pixel_x = 0
		layer = 10

		var
			obj/Vol2/Vol2

		New()
			..()
			Vol2 = new(locate(x+1,y,z), src)

		MouseDown(location,icon_x,icon_y)
			..()
			usr.Muted = 0
			usr.client.images -= Mute.Face
			usr.Position = round(icon_x/4,1)
			if(!usr.Position)
				usr.Position = 1
			usr.Slider.pixel_x = vols[usr.Position]
			usr.Volume = round(usr.Position * 6.66,1)
			if(usr.Song && !usr.Paused)
				usr.Song.volume = usr.Volume
				usr << usr.Song
			spawn() usr.SaveSettings()

	Vol2
		name = "Volume"
		icon = 'icon.dmi'
		icon_state = "vol2"

		var/obj/Vol/Vol1

		New(Loc, Vol)
			..()
			Vol1 = Vol

		MouseDown(location,icon_x,icon_y)
			..()
			Vol1.MouseDown(Vol1.loc, icon_x+32, icon_y)

